Inhalte aufrufen

Profilbild

Setup failed: Stage: PopulateSettings (Sequence contains more than one element)


6 Antworten zu diesem Thema

#1 Nak3re

Nak3re

    Member

  • Members
  • 21 Beiträge

Geschrieben: 07 September 2016 - 07:50

Hello again!

 

I tried migrating smartstore to a production server. Moved all files , then proceeded to delete settings on App_Data folder so smartstore would take me to installation page, like it did.After i set admin account, db, sql server name, account and password and try to install i get the following error.

 

  • Setup failed: An error occurred during installation. Stage: PopulateSettings (Sequence contains more than one element)

 

Searching on stackoverflow about possible reasons for this error confused me even more. Could you please help?

 

Thank you!


  • GalenKa, RidgeOi und Brantot gefällt das

#2 QuanTran

QuanTran

    Newbie

  • Members
  • 2 Beiträge

Geschrieben: 15 November 2016 - 18:51

I have the same issue! :( working on it now.



#3 QuanTran

QuanTran

    Newbie

  • Members
  • 2 Beiträge

Geschrieben: 15 November 2016 - 19:32

I found a solution:

 

Execute "ClickToBuild.cmd", then copy the built source code to the server. Do not use "Public" function of visual studio.

 

Btw, I dont understand why the Public function does not work, it would be great if someone can help me!



#4 Murat Cakir

Murat Cakir

    SmartStore AG

  • Administrators
  • 1015 Beiträge

Geschrieben: 15 November 2016 - 21:15

Fixed: See commit.


Murat Cakir
SmartStore AG


#5 linuxmasters

linuxmasters

    Newbie

  • Members
  • 2 Beiträge

Geschrieben: 23 September 2017 - 09:08

Hi,

I had downloaded the latest version of the smart-store web community edition 3.03 from the site and when i did the installation on the go daddy platform adding the trust level=Full i reached up the point were the installation process started up and then giving the below error.

 

 

  • Setup failed: An error occurred during installation. Stage: PopulateSettings (Sequence contains more than one element)
  •  

On the other side i  installed from the same  downloaded zip file on one of my go daddy Azure VM servers on IIS7 and the installation and the store setup went just flawless without any glitch. ( http://eliteweb.cloudapp.net:2222

 

 

 

 

Can anyone please help me with the issue..

Highly Appreciate.



#6 Ondrej Mackovic

Ondrej Mackovic

    Newbie

  • Members
  • 7 Beiträge

Geschrieben: 26 September 2017 - 20:05

Hi,

I had downloaded the latest version of the smart-store web community edition 3.03 from the site and when i did the installation on the go daddy platform adding the trust level=Full i reached up the point were the installation process started up and then giving the below error.

 

 

  • Setup failed: An error occurred during installation. Stage: PopulateSettings (Sequence contains more than one element)
  •  

On the other side i  installed from the same  downloaded zip file on one of my go daddy Azure VM servers on IIS7 and the installation and the store setup went just flawless without any glitch. ( http://eliteweb.cloudapp.net:2222

 

 

 

 

Can anyone please help me with the issue..

Highly Appreciate.

- Don't build the solution using the "Publish" inside Visual Studio. Use ClickToBuild.cmd file

- Purge or delete the database before trying again

- Configure IIS properly (aspnet_regiis.exe -i,  application pool must use .NET framework 4, etc....)



#7 linuxmasters

linuxmasters

    Newbie

  • Members
  • 2 Beiträge

Geschrieben: 05 October 2017 - 07:57

Hi ,

Thanks for the response.

 

Well as said i have managed to build the project via command line using ClickToBuild.cmd file.

But after doing the so and migrating the files on Godaddy Shared Server and starting the installation I get the same Error as before 

(

  • Setup failed: An error occurred during installation. Stage: PopulateSettings (Sequence contains more than one element)
  • )

Kindly note i do not have access to godaddy serves IIS to run the aspnet_regiis since its a shared hosting and not VPS, i have confirmed that i am using the Framework 4.5 on the same.

 

I have tried deleting the databases and Rebuilding it multiple times on the Godaddy but it never Succeeded in doing a Successful install.





Auf dieses Thema antworten